#pragma once
#define NOMINMAX
#include "qvminspector.h"

class QVirtualMachineHandlers : public QObject
{
    Q_OBJECT
  public:
    explicit QVirtualMachineHandlers( QVMInspector *MainWindow );

  private:
    Ui::QVMProfilerClass *ui;
    QVMInspector *MainWindow;
    void UpdateTransforms( vm::handler::handler_t &vm_handler );
    void UpdateInstrs( vm::handler::handler_t &vm_handler );

  private slots:
    void OnSelect();
};