#pragma once
#define NOMINMAX
#include "qvminspector.h"

class QVirtualMachineInstructions : public QObject
{
    Q_OBJECT
  public:
    explicit QVirtualMachineInstructions( QVMInspector *MainWindow );

  private:
    Ui::QVMProfilerClass *ui;
    QVMInspector *MainWindow;

    void UpdateNativeRegisters( vm::instrs::virt_instr_t *virt_instr );
    void UpdateVirtualRegisters( vm::instrs::virt_instr_t *virt_instr );
    void UpdateVirtualStack( vm::instrs::virt_instr_t *virt_instr );
    void UpdateVMHandlerInfo( vm::instrs::virt_instr_t *virt_instr );

  private slots:
    void OnSelect();
};